# GenerateOfferForAssetOwnershipInput

### Fields

#### clientMutationId ([String](/graphql-api/api-reference/objects/string.md))

A unique identifier for the client performing the mutation.

#### assetOwnershipId ([ID](/graphql-api/api-reference/objects/id.md)!)

The ID of the asset ownership to generate an offer for

#### successUrl ([String](/graphql-api/api-reference/objects/string.md))

An optional URL to redirect the customer to after successful payment

#### failureUrl ([String](/graphql-api/api-reference/objects/string.md))

An optional URL to redirect the customer to if the offer is accessed after its expiration time


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.firmhouse.com/graphql-api/api-reference/objects/generate-offer-for-asset-ownership-input.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
